----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    09:18:52 06/13/2011 
-- Design Name: 
-- Module Name:    MUX1 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity CMUXP1 is
    Port ( di1 : in  STD_LOGIC;
           di2 : in  STD_LOGIC;
           do : out  STD_LOGIC;
           sel : in  STD_LOGIC);
end CMUXP1;

architecture Behavioral of CMUXP1 is

begin
 --modelisation d'un multiplexeur 1 bit
 with sel select
		do <= di1 when '0',
				di2 when '1',
				di1 when others;
end Behavioral;

